import { faPlus, faUserPlus } from "@fortawesome/pro-solid-svg-icons"
import { faEye, faLeftLong } from "@fortawesome/pro-regular-svg-icons"
import { faCirclePlay } from "@fortawesome/pro-thin-svg-icons"
import { FontAwesomeIcon } from "@fortawesome/react-fontawesome"
import { useState } from "react"
import Logo from "../../components/Logo"
import BurgerMenu from "../../components/BurgerMenu"
import OptionButton from "../../components/OptionButton"

export default function Home() {
  const [heWantsToPlay, setHeWantsToPlay] = useState<boolean | null>(false)
  return (
    <div className="h-full bg-theme">
      <div className="mx-auto flex h-full max-w-screen-md flex-col items-center justify-evenly">
        <Logo />
        <BurgerMenu />
        {!heWantsToPlay ? (
          <>
            <div className="flex h-36 w-64 items-center justify-center rounded-xl border-4 border-black bg-[#2227] lg:h-[18rem] lg:w-[32rem] lg:border-[6px] xl:h-[26rem] xl:w-[48rem]">
              <FontAwesomeIcon
                className="text-6xl lg:text-8xl"
                icon={faCirclePlay}
              />
            </div>
            <button
              className="font-farro rounded-lg border-b-4 border-orange-400 bg-warn px-12 pt-5 pb-4 text-2xl font-bold duration-100 active:border-t-4 active:border-b-0 xl:rounded-2xl xl:border-b-8 xl:px-24 xl:pt-10 xl:pb-8 xl:text-5xl xl:active:border-t-8"
              onClick={() => setTimeout(() => setHeWantsToPlay(true), 200)}
            >
              START
            </button>
          </>
        ) : (
          <div className="flex flex-col items-center rounded-xl border-4 border-black bg-grayish px-4 py-6 shadow-lg sm:mx-8 sm:p-12 md:w-full">
            <button
              className="-mt-2 w-20 self-start rounded-xl border-b-4 border-shield-gray bg-voidDark text-2xl text-grayish duration-100 active:border-t-4 active:border-b-0 sm:-mt-6 sm:w-40 sm:px-2 sm:text-5xl"
              onClick={() => setTimeout(() => setHeWantsToPlay(false), 200)}
            >
              <FontAwesomeIcon icon={faLeftLong} />
            </button>
            <div className="flex flex-col items-center gap-6 sm:gap-12">
              <OptionButton icon={faPlus}>Raum erstellen</OptionButton>
              <OptionButton icon={faUserPlus}>Raum beitreten</OptionButton>
              <OptionButton icon={faEye}>Zuschauen</OptionButton>
            </div>
          </div>
        )}
      </div>
    </div>
  )
}
